[Darshan-commits] [Darshan] branch, trac-150-regression, updated. darshan-2.3.1-pre1-10-gddfcbd5

Service Account git at mcs.anl.gov
Tue Feb 3 20:21:40 CST 2015


This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "".

The branch, trac-150-regression has been updated
       via  ddfcbd5f31ac37be8a69062386ad40a3684242c9 (commit)
      from  48173bc1eef809adb980ee0bee7bd67ef7ce2bdb (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
commit ddfcbd5f31ac37be8a69062386ad40a3684242c9
Author: Phil Carns <carns at mcs.anl.gov>
Date:   Tue Feb 3 21:21:26 2015 -0500

    relax pwd restrictions

-----------------------------------------------------------------------

Summary of changes:
 darshan-test/regression/run-all.sh |   16 +++++++++-------
 1 files changed, 9 insertions(+), 7 deletions(-)


Diff of changes:
diff --git a/darshan-test/regression/run-all.sh b/darshan-test/regression/run-all.sh
index d2ee05a..cf28840 100755
--- a/darshan-test/regression/run-all.sh
+++ b/darshan-test/regression/run-all.sh
@@ -13,6 +13,8 @@ export DARSHAN_PLATFORM=$3
 # number of procs that most test jobs will use
 export DARSHAN_DEFAULT_NPROCS=4
 
+BASEDIR=$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )
+
 # check darshan path
 if [ ! -x $DARSHAN_PATH/bin/darshan-parser ]; then
     echo "Error: $DARSHAN_PATH doesn't contain a valid Darshan install." 1>&2
@@ -34,45 +36,45 @@ if [ ! -w $DARSHAN_TMP ]; then
 fi
 
 # make sure that we have sub-scripts for the specified platform
-if [ ! -d $DARSHAN_PLATFORM ]; then
+if [ ! -d $BASEDIR/$DARSHAN_PLATFORM ]; then
     echo "Error: unable to find scripts for platform $DARSHAN_PLATFORM" 1>&2
     exit 1
 fi
 
 # set up c compiler for this platform
-DARSHAN_CC=`$DARSHAN_PLATFORM/setup-cc.sh`
+DARSHAN_CC=`$BASEDIR/$DARSHAN_PLATFORM/setup-cc.sh`
 if [ $? -ne 0 ]; then
     exit 1
 fi
 export DARSHAN_CC
 
 # set up c++ compiler for this platform
-DARSHAN_CXX=`$DARSHAN_PLATFORM/setup-cxx.sh`
+DARSHAN_CXX=`$BASEDIR/$DARSHAN_PLATFORM/setup-cxx.sh`
 if [ $? -ne 0 ]; then
     exit 1
 fi
 export DARSHAN_CXX
 
 # set up Fortran compilers for this platform
-DARSHAN_F77=`$DARSHAN_PLATFORM/setup-f77.sh`
+DARSHAN_F77=`$BASEDIR/$DARSHAN_PLATFORM/setup-f77.sh`
 if [ $? -ne 0 ]; then
     exit 1
 fi
 export DARSHAN_F77
-DARSHAN_F90=`$DARSHAN_PLATFORM/setup-f90.sh`
+DARSHAN_F90=`$BASEDIR/$DARSHAN_PLATFORM/setup-f90.sh`
 if [ $? -ne 0 ]; then
     exit 1
 fi
 export DARSHAN_F90
 
 # set up job execution wrapper for this platform
-DARSHAN_RUNJOB=`$DARSHAN_PLATFORM/setup-runjob.sh`
+DARSHAN_RUNJOB=`$BASEDIR/$DARSHAN_PLATFORM/setup-runjob.sh`
 if [ $? -ne 0 ]; then
     exit 1
 fi
 export DARSHAN_RUNJOB
 
-for i in `ls test-cases/*.sh`; do
+for i in `ls $BASEDIR/test-cases/*.sh`; do
     echo Running ${i}...
     $i
     if [ $? -ne 0 ]; then


hooks/post-receive
--



More information about the Darshan-commits mailing list